package DE_EPAGES::Order::t::unit::BasketOrder;
use base DE_EPAGES::Core::API::Test;

use strict;

use DE_EPAGES::Order::API::TLE::BasketOrder;
use Test::More;

##no critic(ProhibitPrivateSubroutineUse)

sub test {
    my $self = shift;

    my $BasketOrderTle = DE_EPAGES::Order::API::TLE::BasketOrder->new();

    $self->test_isInMultiStepCheckout_undef($BasketOrderTle);
    $self->test_isInMultiStepCheckout_outOfCheckout($BasketOrderTle);
    $self->test_isInMultiStepCheckout_inMultiStepCheckout($BasketOrderTle);
    $self->test_isInMultiStepCheckout_inBasket($BasketOrderTle);

    done_testing();
}

sub test_isInMultiStepCheckout_undef {
    my $self = shift;
    my ($BasketOrderTle) = @_;

    ok( !$BasketOrderTle->_isInMultiStepCheckout(undef), 'isInMultiStepCheckout undef param' );

    return;
}

sub test_isInMultiStepCheckout_outOfCheckout {
    my $self = shift;
    my ($BasketOrderTle) = @_;

    ok( !$BasketOrderTle->_isInMultiStepCheckout( {} ), 'isInMultiStepCheckout out of checkout' );

    return;
}

sub test_isInMultiStepCheckout_inMultiStepCheckout {
    my $self = shift;
    my ($BasketOrderTle) = @_;

    ok(
        $BasketOrderTle->_isInMultiStepCheckout(
            {
                'CurrentStep' => { 'Alias' => 'Address' }
            }
        ),
        'isInMultiStepCheckout in multi step checkout'
    );

    return;
}

sub test_isInMultiStepCheckout_inBasket {
    my $self = shift;
    my ($BasketOrderTle) = @_;

    ok(
        !$BasketOrderTle->_isInMultiStepCheckout(
            {
                'CurrentStep' => { 'Alias' => 'Basket' }
            }
        ),
        'isInMultiStepCheckout in basket'
    );

    return;
}

__PACKAGE__->runScript();
