#========================================================================================
# package      DE_EPAGES::Product::API::Table::ProductStockLevel
# state        public
# description  interface for table ProductStockLevel
#========================================================================================
package DE_EPAGES::Product::API::Table::ProductStockLevel;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw(
        UpdateStockLevel
    );

use DE_EPAGES::Core::API::TestParameter qw ( TestInteger TestObject);
use DE_EPAGES::Product::DAL::Product;

#========================================================================================
# function     UpdateStockLevel
#----------------------------------------------------------------------------------------
# syntax       UpdateStockLevel($ObjectID, $Amount);
#----------------------------------------------------------------------------------------
# description  Updates the stock level of a product for a relative value.
#----------------------------------------------------------------------------------------
# input        $ObjectID | The ID of the product object | int
# input        $Amount   | The amount of how many items the stocklevel should change | int
#========================================================================================
sub UpdateStockLevel($;$) {
    my ($Object, $Amount) = @_;
    TestInteger('Amount', $Amount);
    TestObject('Object', $Object);

    return DAL_UpdateStockLevel($Object->id, $Amount);;
}

1;
